Package org.eclipse.m2m.atl.common.Problem

# Interface ProblemPackage.Literals

Enclosing class:
  ProblemPackage

public static interface ProblemPackage.Literals
Defines literals for the meta objects that represent

- each class,
- each feature of each class,
- each enum,
- and each data type

## Field Summary

Fields
Modifier and Type
Field
Description
`static final org.eclipse.emf.ecore.EClass`
`PROBLEM`
The meta object literal for the '`Problem`' class.
`static final org.eclipse.emf.ecore.EAttribute`
`PROBLEM__DESCRIPTION`
The meta object literal for the 'Description' attribute feature.
`static final org.eclipse.emf.ecore.EAttribute`
`PROBLEM__LOCATION`
The meta object literal for the 'Location' attribute feature.
`static final org.eclipse.emf.ecore.EAttribute`
`PROBLEM__SEVERITY`
The meta object literal for the 'Severity' attribute feature.
`static final org.eclipse.emf.ecore.EEnum`
`SEVERITY`
The meta object literal for the '`Severity`' enum.

## Field Details

### PROBLEM

static final org.eclipse.emf.ecore.EClass PROBLEM
The meta object literal for the '`Problem`' class.

See Also:
  - `Problem`
  - `ProblemPackage.getProblem()`

### PROBLEM__SEVERITY

static final org.eclipse.emf.ecore.EAttribute PROBLEM__SEVERITY
The meta object literal for the 'Severity' attribute feature.

### PROBLEM__LOCATION

static final org.eclipse.emf.ecore.EAttribute PROBLEM__LOCATION
The meta object literal for the 'Location' attribute feature.

### PROBLEM__DESCRIPTION

static final org.eclipse.emf.ecore.EAttribute PROBLEM__DESCRIPTION
The meta object literal for the 'Description' attribute feature.

### SEVERITY

static final org.eclipse.emf.ecore.EEnum SEVERITY
The meta object literal for the '`Severity`' enum.

See Also:
  - `Severity`
  - `ProblemPackage.getSeverity()`